### Method

# Pango Renderer draw_rectangle

since: 1.8

#### Declaration [src]

    void
    pango_renderer_draw_rectangle (
      PangoRenderer* renderer,
      PangoRenderPart part,
      int x,
      int y,
      int width,
      int height
    )

#### Description [src]

Draws an axis-aligned rectangle in user space coordinates with the specified `PangoRenderer`.

This should be called while `renderer` is already active. Use `pango_renderer_activate()` to activate a renderer.

Available since: 1.8

#### Parameters

`part`

  Type: `PangoRenderPart`

  Type of object this rectangle is part of.

`x`

  Type: `int`

  X position at which to draw rectangle, in user space coordinates in Pango units.

`y`

  Type: `int`

  Y position at which to draw rectangle, in user space coordinates in Pango units.

`width`

  Type: `int`

  Width of rectangle in Pango units.

`height`

  Type: `int`

  Height of rectangle in Pango units.